OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpV2PartyClock

    java.lang.Object
      org.opennms.protocols.snmp.SnmpUInt32
          org.opennms.protocols.snmp.SnmpV2PartyClock

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, SnmpSyntax

Deprecated. Obsoleted in RFC 1902.

public class SnmpV2PartyClock
extends SnmpUInt32

Defines an SNMPv2 Party Clock. The Party Clock is currently Obsolete, but included for backwards compatability

Version:
  1.1.1.1
Author:
  Brian Weaver <weave@oculan.com>
See Also:
  Serialized Form

Field Summary
`static byte` `ASNTYPE` Deprecated. The ASN.1 type for this object
`(package private) static long` `serialVersionUID` Deprecated. Used to define the serialization formation

Fields inherited from class org.opennms.protocols.snmp.SnmpUInt32
``

Constructor Summary
`SnmpV2PartyClock()` Deprecated. The class constructor.
`SnmpV2PartyClock(long value)` Deprecated. Creates a SNMPv2 Party Clock with the specific value.
`SnmpV2PartyClock(java.lang.Long value)` Deprecated. Creates a SNMPv2 Party Clock with the specific value.
`SnmpV2PartyClock(SnmpUInt32 uint32)` Deprecated. Constructs a SNMPv2 Party Clock with the specified value.
`SnmpV2PartyClock(SnmpV2PartyClock second)` Deprecated. Class copy constructor.

Method Summary
`java.lang.Object` `clone()` Deprecated. Creates and returns a duplicate object of self.
`SnmpSyntax` `duplicate()` Deprecated. Creates and returns a duplicate object of self.
`java.lang.String` `toString()` Deprecated. Returns the string representation of the object.
`byte` `typeId()` Deprecated. Used to retreive the ASN.1 value for this object.

Methods inherited from class org.opennms.protocols.snmp.SnmpUInt32
`decodeASN, encodeASN, getValue, setValue, setValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated.
  Used to define the serialization formation

  See Also:
    Constant Field Values

### ASNTYPE

    public static final byte ASNTYPE

  Deprecated.
  The ASN.1 type for this object

  See Also:
    Constant Field Values

Constructor Detail

### SnmpV2PartyClock

    public SnmpV2PartyClock()

  Deprecated.
  The class constructor. Constructs a default object with the default value. See the super class constructor for more infomation

### SnmpV2PartyClock

    public SnmpV2PartyClock(long value)

  Deprecated.
  Creates a SNMPv2 Party Clock with the specific value.

Parameters:
  `value` - The unsigned value for the party clock

### SnmpV2PartyClock

    public SnmpV2PartyClock(java.lang.Long value)

  Deprecated.
  Creates a SNMPv2 Party Clock with the specific value.

Parameters:
  `value` - The unsigned value for the party clock

### SnmpV2PartyClock

    public SnmpV2PartyClock(SnmpV2PartyClock second)

  Deprecated.
  Class copy constructor. Constructs a duplicate party clock.

Parameters:
  `second` - The party clock to duplicate

### SnmpV2PartyClock

    public SnmpV2PartyClock(SnmpUInt32 uint32)

  Deprecated.
  Constructs a SNMPv2 Party Clock with the specified value.

Parameters:
  `uint32` - The super class value to initialize self with.

Method Detail

### typeId

    public byte typeId()

  Deprecated.
  Used to retreive the ASN.1 value for this object.

  Specified by:
    `typeId` in interface `SnmpSyntax`
  Overrides:
    `typeId` in class `SnmpUInt32`
  Returns:
    The ASN.1 type.

### duplicate

    public SnmpSyntax duplicate()

  Deprecated.
  Creates and returns a duplicate object of self.

  Specified by:
    `duplicate` in interface `SnmpSyntax`
  Overrides:
    `duplicate` in class `SnmpUInt32`
  Returns:
    A newly created copy of self.

### clone

    public java.lang.Object clone()

  Deprecated.
  Creates and returns a duplicate object of self.

  Overrides:
    `clone` in class `SnmpUInt32`
  Returns:
    A newly created copy of self.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns the string representation of the object.

  Overrides:
    `toString` in class `SnmpUInt32`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.